Makefile.in 29.8 KB
Newer Older
Philippe Gerum's avatar
Philippe Gerum committed
1
# Makefile.in generated by automake 1.11 from Makefile.am.
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
2 3 4
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
Philippe Gerum's avatar
Philippe Gerum committed
5 6
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
7 8 9 10 11 12 13 14 15 16 17 18 19
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
Philippe Gerum's avatar
Philippe Gerum committed
20 21
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
39
	$(srcdir)/Makefile.in $(top_srcdir)/configure
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
40 41
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ac_prog_cc_for_build.m4 \
Philippe Gerum's avatar
Philippe Gerum committed
42 43 44 45 46 47 48
	$(top_srcdir)/config/docbook.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 \
	$(top_srcdir)/config/version $(top_srcdir)/configure.in
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
49 50 51
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
Philippe Gerum's avatar
Philippe Gerum committed
52
 configure.lineno config.status.lineno
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
53 54 55
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/include/xeno_config.h
CONFIG_CLEAN_FILES = src/include/asm/xenomai
Philippe Gerum's avatar
Philippe Gerum committed
56
CONFIG_CLEAN_VPATH_FILES =
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
57 58 59 60
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
Philippe Gerum's avatar
Philippe Gerum committed
61 62 63 64 65 66 67
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
Philippe Gerum's avatar
Philippe Gerum committed
68 69 70
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
71 72 73 74 75 76 77
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
Philippe Gerum's avatar
Philippe Gerum committed
78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
106 107 108 109 110
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
111
ADEOS_PATCH = @ADEOS_PATCH@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
112 113 114 115 116 117 118 119 120 121
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BUILD_EXEEXT = @BUILD_EXEEXT@
BUILD_OBJEXT = @BUILD_OBJEXT@
CC = @CC@
CCAS = @CCAS@
Philippe Gerum's avatar
Philippe Gerum committed
122
CCASDEPMODE = @CCASDEPMODE@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
123 124 125 126 127
CCASFLAGS = @CCASFLAGS@
CCDEPMODE = @CCDEPMODE@
CC_FOR_BUILD = @CC_FOR_BUILD@
CFLAGS = @CFLAGS@
CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
128
CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CPPFLAGS_FOR_BUILD = @CPPFLAGS_FOR_BUILD@
CPP_FOR_BUILD = @CPP_FOR_BUILD@
CYGPATH_W = @CYGPATH_W@
DBX_DOC_ROOT = @DBX_DOC_ROOT@
DBX_FOP = @DBX_FOP@
DBX_GEN_DOC_ROOT = @DBX_GEN_DOC_ROOT@
DBX_LINT = @DBX_LINT@
DBX_MAYBE_NONET = @DBX_MAYBE_NONET@
DBX_ROOT = @DBX_ROOT@
DBX_XSLTPROC = @DBX_XSLTPROC@
DBX_XSL_ROOT = @DBX_XSL_ROOT@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN = @DOXYGEN@
DOXYGEN_HAVE_DOT = @DOXYGEN_HAVE_DOT@
DOXYGEN_SHOW_INCLUDE_FILES = @DOXYGEN_SHOW_INCLUDE_FILES@
Philippe Gerum's avatar
Philippe Gerum committed
147
DSYMUTIL = @DSYMUTIL@
148
DUMPBIN = @DUMPBIN@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
149 150 151 152 153
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
154
FGREP = @FGREP@
Philippe Gerum's avatar
Philippe Gerum committed
155 156
GREP = @GREP@
INSTALL = @INSTALL@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
157 158 159 160 161 162
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LATEX_BATCHMODE = @LATEX_BATCHMODE@
LATEX_MODE = @LATEX_MODE@
163
LD = @LD@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
164
LDFLAGS = @LDFLAGS@
165
LD_FILE_OPTION = @LD_FILE_OPTION@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
166 167 168 169 170 171
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
172
LIPO = @LIPO@
Philippe Gerum's avatar
Philippe Gerum committed
173
LNDIR = @LNDIR@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
174 175 176 177
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
Philippe Gerum's avatar
Philippe Gerum committed
178
MKDIR_P = @MKDIR_P@
179
NM = @NM@
Philippe Gerum's avatar
Philippe Gerum committed
180
NMEDIT = @NMEDIT@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
181
OBJEXT = @OBJEXT@
182 183
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
184 185 186 187 188
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
Philippe Gerum's avatar
Philippe Gerum committed
189
PACKAGE_URL = @PACKAGE_URL@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
190 191 192
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
RANLIB = @RANLIB@
Philippe Gerum's avatar
Philippe Gerum committed
193
SED = @SED@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
194 195 196 197 198 199
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
XENO_BUILD_STRING = @XENO_BUILD_STRING@
XENO_HOST_STRING = @XENO_HOST_STRING@
200
XENO_LINUX_ALL_TARGETS = @XENO_LINUX_ALL_TARGETS@
201
XENO_LINUX_ARCH = @XENO_LINUX_ARCH@
202 203
XENO_LINUX_IMAGE = @XENO_LINUX_IMAGE@
XENO_LINUX_INSTALL_TARGET = @XENO_LINUX_INSTALL_TARGET@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
204
XENO_MAYBE_DOCDIR = @XENO_MAYBE_DOCDIR@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
205
XENO_POSIX_WRAPPERS = @XENO_POSIX_WRAPPERS@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
206 207
XENO_TARGET_ARCH = @XENO_TARGET_ARCH@
XENO_USER_APP_CFLAGS = @XENO_USER_APP_CFLAGS@
Philippe Gerum's avatar
Philippe Gerum committed
208
XENO_USER_APP_LDFLAGS = @XENO_USER_APP_LDFLAGS@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
209
XENO_USER_CFLAGS = @XENO_USER_CFLAGS@
Philippe Gerum's avatar
Philippe Gerum committed
210
XENO_USER_LDFLAGS = @XENO_USER_LDFLAGS@
Philippe Gerum's avatar
Philippe Gerum committed
211 212 213 214
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
215 216
ac_ct_CC = @ac_ct_CC@
ac_ct_CC_FOR_BUILD = @ac_ct_CC_FOR_BUILD@
217
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
218 219 220 221 222 223 224 225 226 227 228
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
Philippe Gerum's avatar
Philippe Gerum committed
229
builddir = @builddir@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
230
datadir = @datadir@
Philippe Gerum's avatar
Philippe Gerum committed
231 232 233
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
234 235 236 237 238 239
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
Philippe Gerum's avatar
Philippe Gerum committed
240
htmldir = @htmldir@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
241 242 243 244 245
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
Philippe Gerum's avatar
Philippe Gerum committed
246
localedir = @localedir@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
247
localstatedir = @localstatedir@
248
lt_ECHO = @lt_ECHO@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
249 250 251
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
Philippe Gerum's avatar
Philippe Gerum committed
252
pdfdir = @pdfdir@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
253 254
prefix = @prefix@
program_transform_name = @program_transform_name@
Philippe Gerum's avatar
Philippe Gerum committed
255
psdir = @psdir@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
256 257
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
Philippe Gerum's avatar
Philippe Gerum committed
258
srcdir = @srcdir@
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
259 260 261 262 263 264
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
Philippe Gerum's avatar
Philippe Gerum committed
265
top_build_prefix = @top_build_prefix@
Philippe Gerum's avatar
Philippe Gerum committed
266 267
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
Gilles Chanteperdrix's avatar
sync  
Gilles Chanteperdrix committed
268
ACLOCAL_AMFLAGS = -I config
269 270
SUDO = sudo
SUBDIRS = src include config @XENO_MAYBE_DOCDIR@ scripts
Philippe Gerum's avatar
Philippe Gerum committed
271
EXTRA_DIST = CREDITS README.INSTALL TROUBLESHOOTING ksrc examples debian
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
272 273 274 275 276 277 278 279 280
all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
Philippe Gerum's avatar
Philippe Gerum committed
281 282
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
283 284 285 286
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
Philippe Gerum's avatar
Philippe Gerum committed
287 288 289
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
290 291 292 293 294 295 296 297 298 299 300 301 302 303 304
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
Philippe Gerum's avatar
Philippe Gerum committed
305
	$(am__cd) $(srcdir) && $(AUTOCONF)
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
306
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
Philippe Gerum's avatar
Philippe Gerum committed
307 308
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
309 310 311 312 313 314 315 316

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
Philippe Gerum's avatar
Philippe Gerum committed
317
	-rm -f libtool config.lt
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
318 319 320 321 322 323 324 325

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
326 327 328 329 330 331 332
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
333 334 335 336 337 338 339 340 341 342
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
Philippe Gerum's avatar
Philippe Gerum committed
343
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
344
	  || eval $$failcom; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
345 346 347 348 349
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

Philippe Gerum's avatar
Philippe Gerum committed
350
$(RECURSIVE_CLEAN_TARGETS):
351 352 353 354 355 356 357
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
Philippe Gerum's avatar
Philippe Gerum committed
377
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
378
	  || eval $$failcom; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
379 380 381
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
Philippe Gerum's avatar
Philippe Gerum committed
382
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
383 384 385
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
Philippe Gerum's avatar
Philippe Gerum committed
386
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
387 388 389 390 391 392 393
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
Philippe Gerum's avatar
Philippe Gerum committed
394
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
Philippe Gerum's avatar
Philippe Gerum committed
395
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
396 397 398 399 400
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
Philippe Gerum's avatar
Philippe Gerum committed
401
	set x; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
402 403 404 405 406 407 408 409 410 411 412
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
Philippe Gerum's avatar
Philippe Gerum committed
413
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
414 415 416 417 418 419
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
Philippe Gerum's avatar
Philippe Gerum committed
420 421
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
Philippe Gerum's avatar
Philippe Gerum committed
422 423
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
424
	  test -n "$$unique" || unique=$$empty_fix; \
Philippe Gerum's avatar
Philippe Gerum committed
425 426 427 428 429 430 431
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
432 433 434 435 436 437 438 439
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
Philippe Gerum's avatar
Philippe Gerum committed
440 441
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
Philippe Gerum's avatar
Philippe Gerum committed
442
	test -z "$(CTAGS_ARGS)$$unique" \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
443
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
Philippe Gerum's avatar
Philippe Gerum committed
444
	     $$unique
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
445 446 447

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
Philippe Gerum's avatar
Philippe Gerum committed
448 449
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
450 451 452 453 454 455

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
Philippe Gerum's avatar
Philippe Gerum committed
456
	test -d "$(distdir)" || mkdir "$(distdir)"
Philippe Gerum's avatar
Philippe Gerum committed
457 458 459 460 461 462 463 464 465 466 467 468
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
469 470
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
Philippe Gerum's avatar
Philippe Gerum committed
471
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
Philippe Gerum's avatar
Philippe Gerum committed
472 473 474
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
475
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
Philippe Gerum's avatar
Philippe Gerum committed
476 477
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
478
	    fi; \
Philippe Gerum's avatar
Philippe Gerum committed
479
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
480
	  else \
Philippe Gerum's avatar
Philippe Gerum committed
481 482
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
483 484 485
	    || exit 1; \
	  fi; \
	done
Philippe Gerum's avatar
Philippe Gerum committed
486
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
487 488
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
Philippe Gerum's avatar
Philippe Gerum committed
489
	    || $(MKDIR_P) "$(distdir)/$$subdir" \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
490
	    || exit 1; \
Philippe Gerum's avatar
Philippe Gerum committed
491 492 493 494 495 496 497 498 499 500 501 502 503
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
504
	      $(MAKE) $(AM_MAKEFLAGS) \
Philippe Gerum's avatar
Philippe Gerum committed
505 506
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
Philippe Gerum's avatar
Philippe Gerum committed
507 508
		am__remove_distdir=: \
		am__skip_length_check=: \
Philippe Gerum's avatar
Philippe Gerum committed
509
		am__skip_mode_fix=: \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
510 511 512 513
	        distdir) \
	      || exit 1; \
	  fi; \
	done
Philippe Gerum's avatar
Philippe Gerum committed
514 515 516
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
Philippe Gerum's avatar
Philippe Gerum committed
517 518
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
519 520
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
Philippe Gerum's avatar
Philippe Gerum committed
521
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
Philippe Gerum's avatar
Philippe Gerum committed
522
	|| chmod -R a+r "$(distdir)"
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
523 524 525 526 527 528 529
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)
dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

Philippe Gerum's avatar
Philippe Gerum committed
530 531 532 533
dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

Philippe Gerum's avatar
Philippe Gerum committed
534 535 536 537
dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
	$(am__remove_distdir)

Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564
dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
Philippe Gerum's avatar
Philippe Gerum committed
565 566
	*.tar.lzma*) \
	  unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
Philippe Gerum's avatar
Philippe Gerum committed
567 568
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
569 570 571 572 573 574 575 576 577 578 579
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
Philippe Gerum's avatar
Philippe Gerum committed
580
	test -d $(distdir)/_build || exit 0; \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
581 582
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
Philippe Gerum's avatar
Philippe Gerum committed
583 584
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
Philippe Gerum's avatar
Philippe Gerum committed
606 607 608
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
609 610 611
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
Philippe Gerum's avatar
Philippe Gerum committed
612
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
613
distuninstallcheck:
Philippe Gerum's avatar
Philippe Gerum committed
614
	@$(am__cd) '$(distuninstallcheck_dir)' \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655
	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile
installdirs: installdirs-recursive
installdirs-am:
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
Philippe Gerum's avatar
Philippe Gerum committed
656
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

Philippe Gerum's avatar
Philippe Gerum committed
677 678
html-am:

Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
679 680 681 682 683 684
info: info-recursive

info-am:

install-data-am:

Philippe Gerum's avatar
Philippe Gerum committed
685 686
install-dvi: install-dvi-recursive

Philippe Gerum's avatar
Philippe Gerum committed
687 688
install-dvi-am:

689
install-exec-am: install-exec-local
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
690

Philippe Gerum's avatar
Philippe Gerum committed
691 692
install-html: install-html-recursive

Philippe Gerum's avatar
Philippe Gerum committed
693 694
install-html-am:

Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
695 696
install-info: install-info-recursive

Philippe Gerum's avatar
Philippe Gerum committed
697 698
install-info-am:

Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
699 700
install-man:

Philippe Gerum's avatar
Philippe Gerum committed
701 702
install-pdf: install-pdf-recursive

Philippe Gerum's avatar
Philippe Gerum committed
703 704
install-pdf-am:

Philippe Gerum's avatar
Philippe Gerum committed
705 706
install-ps: install-ps-recursive

Philippe Gerum's avatar
Philippe Gerum committed
707 708
install-ps-am:

Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728
installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

Philippe Gerum's avatar
Philippe Gerum committed
729 730
uninstall-am:

Philippe Gerum's avatar
Philippe Gerum committed
731 732
.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
	install-am install-strip tags-recursive
Philippe Gerum's avatar
Philippe Gerum committed
733 734 735 736

.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
	all all-am am--refresh check check-am clean clean-generic \
	clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \
Philippe Gerum's avatar
Philippe Gerum committed
737 738 739 740 741 742 743 744 745 746 747 748 749
	dist-gzip dist-hook dist-lzma dist-shar dist-tarZ dist-xz \
	dist-zip distcheck distclean distclean-generic \
	distclean-libtool distclean-tags distcleancheck distdir \
	distuninstallcheck dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-exec-local \
	install-html install-html-am install-info install-info-am \
	install-man install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
	uninstall uninstall-am
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
750

Philippe Gerum's avatar
Philippe Gerum committed
751 752

dist-hook:
753 754 755 756 757
	rm -fr `find $(distdir) -name '.svn' -o -name CVS  -o -name '.#*' \
                -o -name '*~' -o -name autom4te.cache`
	test -e $(srcdir)/doc || rm -rf $(distdir)/doc

dev devices:
758 759
	@$(mkinstalldirs) $(DESTDIR)/dev; \
	if test x`id -u` = x0; then \
760 761 762
           sudo= ; \
        else if test \! "x`type $(SUDO)`" = x ; then \
           echo "sudo found (sudo is $(SUDO)), testing it..." ; \
763 764
           $(SUDO) sh -c "( mknod $(DESTDIR)/dev/dummy c 150 0 && rm -f $(DESTDIR)/dev/dummy )" && \
           sudo="$(SUDO)" || { \
765
echo '*** Warning: you are not super-user and sudo does not work, real-time\
766 767
devices' ; \
echo '*** nodes will not be created.' ; \
768
echo '*** If you do not create these devices by hand, Xenomai test programs\
769 770 771 772 773 774 775 776 777 778
will not' ; \
echo '*** work.' ; \
echo '*** To create these devices please run "make devices" with super-user' ; \
echo '*** privileges.' ; \
             exit 0 ; } ; \
           echo 'sudo is working.' ; \
           fi ; \
        fi ; \
        if test -r $(DESTDIR)/etc/udev/udev.rules ; then \
           for f in $(srcdir)/ksrc/nucleus/udev/*.rules ; do \
779 780
           b=`basename $$f` ; \
           grep -q Xenomai:`basename $$b .rules` $(DESTDIR)/etc/udev/udev.rules || \
781 782
           $$sudo sh -c "( echo ; cat $$f ) >> $(DESTDIR)/etc/udev/udev.rules" ; \
           done ; \
783 784 785 786 787 788
        else if test -d $(DESTDIR)/etc/udev/rules.d ; then \
              for f in $(srcdir)/ksrc/nucleus/udev/*.rules ; do \
                 sudo cp $$f $(DESTDIR)/etc/udev/rules.d/ ; \
              done ; \
           fi ; \
        fi ; \
789 790 791 792 793
	for n in `seq 0 31` ; do \
           f="$(DESTDIR)/dev/rtp$$n" ; \
           if test \! -c $$f ; then \
              $$sudo mknod -m 666 $$f c 150 $$n ; \
           fi ; \
794
        done ; \
795 796
        if test \! -c $(DESTDIR)/dev/rtheap ; then \
          $$sudo mknod -m 666 $(DESTDIR)/dev/rtheap c 10 254 ; \
797 798 799 800
        fi

install-exec-local: devices

Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
801
install-user:
802
	$(MAKE) SUDO=false install
803

804
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@linux/%: linux/.xenomai-prepared FORCE
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
805 806 807
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@	$(top_srcdir)/scripts/prepare-kernel.sh \
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@             --adeos="$(ADEOS_PATCH)" --linux=linux \
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@	     --arch=$(XENO_LINUX_ARCH) && \
808
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@	cross=`expr "$(CC)" : '\(.*\)gcc' || :` && \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
809
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@	cd linux && $(MAKE) $* \
810
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@		ARCH=$(XENO_LINUX_ARCH) CC="$(CC)" CROSS_COMPILE=$$cross
811 812 813 814 815

@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@linux/all: linux/.xenomai-prepared FORCE
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@	$(top_srcdir)/scripts/prepare-kernel.sh \
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@             --adeos="$(ADEOS_PATCH)" --linux=linux \
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@	     --arch=$(XENO_LINUX_ARCH) && \
816
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@	cross=`expr "$(CC)" : '\(.*\)gcc' || :` && \
817
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@	cd linux && $(MAKE) $(XENO_LINUX_ALL_TARGETS) \
818
@MAINTAINER_MODE_TRUE@@XENO_BUILD_LINUX_TRUE@		ARCH=$(XENO_LINUX_ARCH) CC="$(CC)" CROSS_COMPILE=$$cross
819

820
@MAINTAINER_MODE_FALSE@@XENO_BUILD_LINUX_TRUE@linux/%: linux/.xenomai-prepared FORCE
821
@MAINTAINER_MODE_FALSE@@XENO_BUILD_LINUX_TRUE@	cross=`expr "$(CC)" : '\(.*\)gcc' || :` && \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
822
@MAINTAINER_MODE_FALSE@@XENO_BUILD_LINUX_TRUE@	cd linux && $(MAKE) $* \
823
@MAINTAINER_MODE_FALSE@@XENO_BUILD_LINUX_TRUE@		ARCH=$(XENO_LINUX_ARCH) CC="$(CC)" CROSS_COMPILE=$$cross
824

825
@MAINTAINER_MODE_FALSE@@XENO_BUILD_LINUX_TRUE@linux/all: linux/.xenomai-prepared FORCE
826
@MAINTAINER_MODE_FALSE@@XENO_BUILD_LINUX_TRUE@	cross=`expr "$(CC)" : '\(.*\)gcc' || :` && \
827
@MAINTAINER_MODE_FALSE@@XENO_BUILD_LINUX_TRUE@	cd linux && $(MAKE) $(XENO_LINUX_ALL_TARGETS) \
828
@MAINTAINER_MODE_FALSE@@XENO_BUILD_LINUX_TRUE@		ARCH=$(XENO_LINUX_ARCH) CC="$(CC)" CROSS_COMPILE=$$cross
829

830 831 832
@XENO_BUILD_LINUX_TRUE@linux/.xenomai-prepared: config.status
@XENO_BUILD_LINUX_TRUE@	./config.status linux

833 834
@XENO_BUILD_LINUX_TRUE@.PHONY: FORCE

835
@XENO_BUILD_LINUX_TRUE@linux/install: linux/all
836
@XENO_BUILD_LINUX_TRUE@	@targets=modules_install ; \
837 838 839
@XENO_BUILD_LINUX_TRUE@	sudo=; if test x`id -u` = x0; then targets="$$targets install"; else \
@XENO_BUILD_LINUX_TRUE@	if test \! "x`type $(SUDO)`" = x && $(SUDO) true; then sudo=$(SUDO); \
@XENO_BUILD_LINUX_TRUE@	targets="$$targets install"; fi; fi && \
840
@XENO_BUILD_LINUX_TRUE@	$(mkinstalldirs) $(DESTDIR) && \
841
@XENO_BUILD_LINUX_TRUE@	$$sudo $(mkinstalldirs) $(DESTDIR)/boot && \
842
@XENO_BUILD_LINUX_TRUE@	cross=`expr "$(CC)" : '\(.*\)gcc' || :` && \
Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
843
@XENO_BUILD_LINUX_TRUE@	cd linux && $$sudo $(MAKE) $$targets \
844
@XENO_BUILD_LINUX_TRUE@           ARCH=$(XENO_LINUX_ARCH) CC="$(CC)" CROSS_COMPILE=$$cross \
845 846 847
@XENO_BUILD_LINUX_TRUE@           INSTALL_PATH=$(DESTDIR)/boot \
@XENO_BUILD_LINUX_TRUE@           INSTALL_MOD_PATH=$(DESTDIR)

848 849 850 851
# For architectures that do not support the install target, provide our own
# installation target that simply copy the kernel image and System.map.
@XENO_BUILD_LINUX_TRUE@linux/install_image: linux/all
@XENO_BUILD_LINUX_TRUE@	sudo=; if test x`id -u` != x0 && test \! "x`type $(SUDO)`" = x && \
852
@XENO_BUILD_LINUX_TRUE@	$(SUDO) true ; then sudo=$(SUDO) ; fi && \
853 854
@XENO_BUILD_LINUX_TRUE@	$(mkinstalldirs) $(DESTDIR) && \
@XENO_BUILD_LINUX_TRUE@	$$sudo $(mkinstalldirs) $(DESTDIR)/boot && \
855
@XENO_BUILD_LINUX_TRUE@	cross=`expr "$(CC)" : '\(.*\)gcc' || :` && \
856
@XENO_BUILD_LINUX_TRUE@	cd linux && $$sudo $(MAKE) modules_install \
857
@XENO_BUILD_LINUX_TRUE@           ARCH=$(XENO_LINUX_ARCH) CC="$(CC)" CROSS_COMPILE=$$cross \
858 859 860
@XENO_BUILD_LINUX_TRUE@           INSTALL_MOD_PATH=$(DESTDIR) && \
@XENO_BUILD_LINUX_TRUE@	$$sudo cp $(XENO_LINUX_IMAGE) System.map $(DESTDIR)/boot

861 862
@XENO_BUILD_LINUX_TRUE@distclean-linux:
@XENO_BUILD_LINUX_TRUE@	@test -e linux/.config && \
863 864
@XENO_BUILD_LINUX_TRUE@		mv linux/.config linux/.config.saved.xenomai ; \
@XENO_BUILD_LINUX_TRUE@	$(MAKE) linux/distclean ; \
865 866 867 868 869 870
@XENO_BUILD_LINUX_TRUE@	test -e linux/.config.saved.xenomai && \
@XENO_BUILD_LINUX_TRUE@		mv linux/.config.saved.xenomai linux/.config

@XENO_BUILD_LINUX_TRUE@config oldconfig mconfig menuconfig gconfig xconfig:
@XENO_BUILD_LINUX_TRUE@	$(MAKE) linux/$@

871
@XENO_BUILD_LINUX_TRUE@all-recursive: linux/all
872 873 874 875 876

@XENO_BUILD_LINUX_TRUE@clean-recursive: linux/clean

@XENO_BUILD_LINUX_TRUE@distclean-recursive: distclean-linux

877
@XENO_BUILD_LINUX_TRUE@install-recursive: linux/$(XENO_LINUX_INSTALL_TARGET)
Philippe Gerum's avatar
Philippe Gerum committed
878

Gilles Chanteperdrix's avatar
Gilles Chanteperdrix committed
879 880 881
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: